# Uses of Enum Class
org.eclipse.net4j.util.security.IChallengeResponse.State

Packages that use IChallengeResponse.State
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.

## Uses of IChallengeResponse.State in org.eclipse.net4j.util.security

Methods in org.eclipse.net4j.util.security that return IChallengeResponse.State
Modifier and Type
Method
Description
`protected IChallengeResponse.State`
ChallengeResponseNegotiator.`getState(INegotiationContext subject)`
`static IChallengeResponse.State`
IChallengeResponse.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IChallengeResponse.State[]`
IChallengeResponse.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.util.security with parameters of type IChallengeResponse.State
Modifier and Type
Method
Description
`final void`
ChallengeResponseNegotiator.Transition.`execute(INegotiationContext context, IChallengeResponse.State state, IChallengeResponse.Event event, ByteBuffer buffer)`
`protected void`
ChallengeResponseNegotiator.`setState(INegotiationContext subject, IChallengeResponse.State state)`